#!/bin/bash
echo "setup project to development"

echo "create virtual environment to api"

python -m venv ./../api/.venv
cp ./pip.conf ./../api/.venv/pip.conf
source ./../api/.venv/bin/activate
pip install -r ./../api/requirements.txt

echo "complete setup development api"

echo "setup web application"

cp ./.npmrc ./../web/.npmrc
cd ./../web

npm i

echo "complete setup web application"
echo "To start api, cd to api directory, and use venv, start run_server.py"
echo "To start api, cd to web directory, and use command npm run start!"
echo "Happy Hacking! :)"